petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSAdjointMonitor

Runs all user-provided adjoint monitor routines set using TSAdjointMonitorSet()

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdjointMonitor(TS ts,PetscInt step,PetscReal ptime,Vec u,PetscInt numcost,Vec *lambda, Vec *mu)

Collective on TS

### Input Parameters

| ts | - time stepping context obtained from TSCreate()
| step | - step number that has just completed
| ptime | - model time of the state
| u | - state at the current model time
| numcost | - number of cost functions (dimension of lambda or mu)
| lambda | - vectors containing the gradients of the cost functions with respect to the ODE/DAE solution variables
| mu | - vectors containing the gradients of the cost functions with respect to the problem parameters

### Notes

TSAdjointMonitor() is typically used automatically within the time stepping implementations. Users would almost never call this routine directly.

### Keywords

TS, timestep

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages